#!/bin/bash

echo "Iniciando o processo de construção do projeto"

echo "Subindo a versão do projeto"
yarn version --patch

echo "Recuperando versão e nome do projeto no package.json"
version=$(node -pe "JSON.parse(process.argv[1]).version" "$(cat package.json)")
project=$(node -pe "JSON.parse(process.argv[1]).name" "$(cat package.json)")

echo "Construindo a imagem docker"
docker build -t jefersonurbieta/$project:$version .
docker tag jefersonurbieta/$project:$version jefersonurbieta/$project:$version

echo "Enviando a imagem docker"
docker push jefersonurbieta/$project:$version
