import Boom from "boom";

export default class ServiceGeneric {

    constructor(model, modelName, key = "id") {
        this.modelClass = model;
        this.model = new model();
        this.modelName = modelName;
        this.key = key;
    }

    buscarTodos() {
        return this.model
            .fetchAll();
    }

    buscarPorId(key) {
        const parametro = {};
        parametro[this.key] = key;

        return new this.modelClass(parametro)
            .fetch()
            .then(Cliente => {
                if (!Cliente) {
                    throw Boom.internal(this.modelName + " não encontrado!");
                }

                return Cliente;
            });
    }

    inserir(model) {
        return new this.modelClass(model).save();
    }

    editar(key, model) {
        const parametro = {};
        parametro[this.key] = key;

        return new this.modelClass(parametro).save(model);
    }

    remover(key) {
        const parametro = {};
        parametro[this.key] = key;

        return new this.modelClass(parametro)
            .fetch()
            .then(model => model.destroy());
    }

}
