import {Router} from "express";
import routes from "../../routes";

/**
 * Contains all API routes for the application.
 */
const router = Router();

/**
 * GET /api
 */
router.get("/", (req, res) => {
    res.json({
        app: req.app.locals.title,
        description: req.app.locals.description,
        apiVersion: req.app.locals.version,
        author: req.app.locals.author
    });
});

router.use("/auth", authRoutes);

router.use("/contas", contaRoutes);

router.use("/clientes", clienteRoutes);

router.use("/produtos", produtoRoutes);

router.use("/usuarios", usuarioRoutes);

router.use("/avisos", avisoRoutes);

router.use("/categorias", categoriaRoutes);

router.use("/caixa", caixaUsuarioRoutes);

router.use("/estoque", estoqueUsuarioRoutes);

router.use("/movimentacao-estoque", movimentacaoEstoqueRoutes);

router.use("/movimentacao-financeira", movimentacaoFinanceiraRoutes);

router.use("/movimentacao", movimentacaoRoutes);

export default router;
