import Joi from "joi";

/**
 * Utility helper for Joi validation.
 *
 * @param  {object}  data
 * @param  {object}  schema
 * @return {Promise}
 */
function validate(data, schema) {
    const options = {
        abortEarly: false,
        allowUnknown: true
    }

    return Joi.validate(data, schema, options, err => {
        if (err) {
            return Promise.reject(err);
        }

        return Promise.resolve(null);
    });
}

export default validate;
